import axios from "axios";
// import router from "@/router";
// import {useUserStore} from "@/stores/user";
// // const config = useConfigStore()
// import config from "@/plugins/config"

let axios_config = {
    baseURL: config.baseUrl,
    timeout: 100000,
}


// 实例
let instance = axios.create(axios_config);

instance.interceptors.request.use(
    (config) => {
        if (config.headers === undefined) {
            // config.headers = {};
        }
        const user = useUserStore()

        config.headers["Accept"] = "application/json";

        // @ts-ignore
        if (process.env.NODE_ENV === "development") {
            // user.jwt_token 取中间
            config.headers["X-Jwt-Payload"] = user.jwt_token?.split(".")[1]
        } else {
            config.headers["Authorization"] = "Bearer " + user.jwt_token;
        }

        return config;
    },
    (error) => {
        console.error("axios request error", error);
        return Promise.reject(error);
    }
);

instance.interceptors.response.use(
    (res) => {
        return Promise.resolve(res);
    },
    (error) => {
        console.error("axios response error", error);

        return Promise.reject(error);
    }
);

export default instance;
